1 Reply Latest reply on Nov 9, 2013 8:38 PM by Mike M

    Built-in obsolescence?

    Mecagoenvosotros

      Why can't i install any version of flash in my 10.5.8 mac? Built-in obsolescence? ....